
createBriefingExplodingCannons = function()

	briefingExplodingCannons = 	{}	

	briefingExplodingCannons.finished = BriefingExplodingCannonsFinished

	local page = 0

	--	page 1
	
		page = page +1
	
		briefingExplodingCannons[page] 			= 	{}
		briefingExplodingCannons[page].title	= 	String.GenericKey("Mentor")
		briefingExplodingCannons[page].text		= 	String.Key("briefingExplodingCannons[1].text")
		briefingExplodingCannons[page].position	=	GetPosition("canonbombs")
		briefingExplodingCannons[page].explore	=	2500

	--	go!
		TowerVisibleFunc()
		StartSimpleHiResJob("bombplacer")
		GameZoomFactor = Camera.GetZoomFactor()
		Camera.ZoomSetFactor(1.5)
		StartBriefing(briefingExplodingCannons)
		
	end
	
BriefingExplodingCannonsFinished = function()

	Camera.ZoomSetFactor(GameZoomFactor)
	

	end
	
function TowerVisibleFunc()
	local towername = "invisTower"
	local towerturmname = "innererTurm"
	for j = 1,5,1 do
		for m = 1,2,1 do
			local towerID1 = Logic.GetEntityIDByName(towername..j..m)
			Logic.SetEntityInvulnerabilityFlag(towerID1,0)
			if HistoryFlag == 1 then
				Logic.SetEntityScriptingValue(towerID1, -26, 65793)
			elseif HistoryFlag == 0 then
				Logic.SetEntityScriptingValue(towerID1, -30, 65793)
			end
		end
		local towerturmID1 = Logic.GetEntityIDByName(towerturmname..j)
		Logic.SetEntityInvulnerabilityFlag(towerturmID1, 0)
	end
end
	
function bombplacer()
	if bombcounter == nil then
		bombcounter = 0
	end
	if bombcounter == 33 then
		for i = 1,8,1 do
			local name = "cannon"..i
			if IsAlive(name) then
				Tools.ChangeHealthOfEntity(GetEntityId(name),0)
			end
		end
		Tools.ChangeHealthOfEntity(Logic.GetEntityIDByName("innererTurm2"),0)
		return true
	end
	Tools.ChangeHealthOfEntity(Logic.GetEntityIDByName("innererTurm2"),(33-bombcounter)/32)
	local bombi = 1 + math.mod(bombcounter,8)
	local name = "cannon"..bombi
	Logic.CreateEffect(GGL_Effects.FXExplosion,GetPosition(name).X,GetPosition(name).Y,1)
	bombcounter = bombcounter + 1
	return false
end